1 Reply Latest reply on May 5, 2002 6:41 AM by Jean-Michel Delsaux

    Jboss 2.4.3 to 2.4.4 - crimson.jar / jboss 2.4.4 - j2se 1.4.

    Jean-Michel Delsaux Newbie

      Well, i have 2 problem to solve:

      (1) a ‘little’ problem while migrating from jboss 2.4.3 to jboss 2.4.4.
      = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
      In fact my application is running well under 2.4.3, under the 2.4.4, the xml files are not parsed correctly. I use crimson.jar and jaxp.jar. While debugging, I found that the endElement(…) method works differently, with the same code… (my class inherite from org.xml.sax.helpers.DefaultHandler)

      Public void endElement(String namespaceURI, String localName, String qName) throws SAXException {
      System.out.println(localName + “: “ + m_content);


      }

      The output for 2.4.3 is:

      name: scott
      job: computing
      company: oracle


      The output for 2.4.4 is:

      : scott
      : computing
      : oracle

      The localName is not found????? Why? Because there are differences between the used crimson.jar and jaxp.jar files.
      For 2.4.3, crimson.jar = 183k and jaxp.jar = 28k, last modified 03 october 2001,
      For 2.4.4, crimson.jar = 192k and jaxp.jar = 33k, last modified 29 december 2001,

      Everything works fine if I put the 6 files of 2.4.3\lib instead of the 6 ones of the 2.4.4. Another solution is to use crimson.jar and jaxp.jar from jaxp-1.1ea2 instead of the one of 2.4.4, everything is OK.
      That do the trick but… did I miss something??? Why can’t I use the files from 2.4.4 version???

      (2) Jboss 2.4.3 and J2SE 1.4
      = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
      I also tried to use JSE 1.4 with my older 2.4.3 installation and… I have exactly the same problem… but in that case, I use the file from 2.4.3!!!! If I reuse a 1.3 JRE, everything is running fine… any idea?

      Thanks

      JMi